    <div class="main-content pad">
    <div class="container-fluid">
    <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">group</i>
	                        </div>
						    <h4 class="card-title">
						        <span jhiTranslate="sisteminformasiakademikApp.siswa.home.title">Kelas</span>
						
						        <button id="jh-create-entity" class="btn btn-success float-right jh-create-entity create-kelas" (click)="create()">
						            <i class="material-icons">add</i>
						            <span  jhiTranslate="sisteminformasiakademikApp.kelas.home.createLabel">
						            Create a new Kelas
						            </span>
						        </button>
						    </h4>
							</div>
	
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="card-body">
    <div class="toolbar">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-40 no-border">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'sisteminformasiakademikApp.tagihan.home.searchName' | translate }}">
                    <button mat-raised-button class="btn btn-info btn-round btn-just-icon" (click)="search(currentSearch)">
                        <i class="material-icons">search</i>
                    </button>
                    <button mat-raised-button class="btn btn-danger btn-round btn-just-icon" (click)="clear()" *ngIf="currentSearch">
                      <i class="material-icons">delete</i>
                        <div class="ripple-container"></div>
                    </button>
                </div>
            </form>
            <br>
        </div>
    <div class="alert alert-warning" *ngIf="siswas?.length === 0">
        <span>No siswas found</span>
    </div>
    <div class="material-datatables table-responsive" *ngIf="siswas?.length > 0">
        <table class="table table-no-bordered table-hover" aria-describedby="page-heading">
            <thead class="thead-light">
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
            <!-- <th scope="col"  jhiSortBy="id"><span>ID</span></th> -->
           <!--  <th scope="col"  jhiSortBy="nis"><span>Nis</span></th> -->
            <th scope="col"  jhiSortBy="nama"><span>Nama</span></th>
            <!-- <th scope="col"  jhiSortBy="alamat"><span>Alamat</span></th> -->
            <th scope="col"  jhiSortBy="jenisKelamin" class="text-nowrap"><span>Gender</span></th>
            <th scope="col"  jhiSortBy="tempatLahir"><span>TTL</span></th>
            <th scope="col"  jhiSortBy="waliMurid"><span>Wali Murid</span></th>
            <!-- <th scope="col"  jhiSortBy="noTelephone"><span>No.Telp</span></th> -->
            <th scope="col"  jhiSortBy="tahunAjaran"><span>Kelas / TA</span></th>
            <th scope="col" *jhiHasAnyAuthority="['ROLE_TU','ROLE_ADMIN','ROLE_KETUA']" ><span>BeaSiswa</span></th>
            <th scope="col"><span>Loundry</span></th>
            <th scope="col"><span>Reset Password</span></th>
            <th scope="col"></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let siswa of siswas ;trackBy: trackId">
                <!-- <td><a [routerLink]="['/siswa', siswa.id, 'view' ]">{{siswa.id}}</a></td> -->
                <td>
                <div><span>{{siswa.nama}}</span></div>
                <div><span>{{siswa.nis}}</span></div>
                </td>
                <!-- <td>{{siswa.alamat}}</td> -->
                <td>{{siswa.jenisKelamin}}</td>
                <td>{{siswa.tempatLahir}},{{siswa.tanggalLahir | date:'dd MMM yyyy'}}</td>
                <td>{{siswa.waliMurid}}</td>
                <!-- <td>{{siswa.noTelephone}}</td>-->
                <td>{{siswa.kelas}}-{{siswa.tahunAjaran}}</td>
                <td *jhiHasAnyAuthority="['ROLE_TU','ROLE_ADMIN','ROLE_KETUA']">
	                <span *ngIf="siswa.beasiswa === true">Ya</span>
	                <span *ngIf="siswa.beasiswa === false">Tidak</span>
                </td>
                <td>
	                <span *ngIf="siswa.loundry === true">Ya</span>
	                <span *ngIf="siswa.loundry === false">Tidak</span>
	            </td>
	            <td class="td-actions text-center"><button *jhiHasAnyAuthority="['ROLE_TU','ROLE_ADMIN','ROLE_KETUA']" mat-raised-button mat-min-fab type="button" (click)="delete(siswa)"
                     class="btn btn-warning btn-sm btn-just-icon btn-round">
       				<i class="material-icons">history</i>
				</button></td>
                <td class="td-actions text-right">
                  <!-- <button  mat-raised-button mat-min-fab type="button" (click)="editAccount()"
                         class="btn btn-info btn-sm btn-just-icon btn-round">
                          <i class="material-icons">visibility</i>
                 </button> -->
                <!-- <button *jhiHasAnyAuthority="['ROLE_TU','ROLE_ADMIN','ROLE_KETUA']" mat-raised-button mat-min-fab type="button" (click)="delete(siswa)"
                     class="btn btn-danger btn-sm btn-just-icon btn-round">
       				<i class="material-icons">close</i>
				</button> -->
                 <button  mat-raised-button mat-min-fab  type="submit" (click)="editSiswa(siswa)"
                          queryParamsHandling="merge"
                           class="btn btn-success btn-sm btn-just-icon btn-round">
                        <i class="material-icons">edit</i>
                 </button>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="siswas?.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
    </div>
    </div>
    </div>
    </div>
    </div>
    </div>
